Page MenuHomePhabricator

Some dot-separators in recent changes and watchlist are missing surrounding whitespace
Open, Needs TriagePublicBUG REPORT

Description

Seen quite some time ago. But still present.

Steps to Reproduce:

  1. Watch some frequently edited page.
  2. Have "Group results by page" in Watchlist (or RC) enabled.
  3. Uncollapse some block of changes.

Actual Results:


As the screenshot shows, some of those separators are missing surrounding whitespace (red underline), whereas others do have it (blue underline).

Example from my watchlist on wikidata.org.

Developer notes

Sample HTML shows missing spaces

`
<td class="mw-changeslist-line-inner"> <span class="mw-title"><a href="/w/index.php?title=Talk:Arabic_language" class="mw-changeslist-title" title="Talk:Arabic language">Talk:Arabic language</a></span>&lrm;&lrm; <span class="mw-changeslist-links"><span>8 changes</span> <span><a href="/w/index.php?title=Talk:Arabic_language&amp;curid=1069&amp;action=history" class="mw-changeslist-history" title="Talk:Arabic language">history</a></span></span><span class="mw-changeslist-separator"></span><strong dir="ltr" class="mw-plusminus-pos mw-diff-bytes" title="738 bytes after change">+738</strong>&lrm; <span class="mw-changeslist-separator"></span><span class="changedby">[<a href="/w/index.php?title=User:Toby&amp;action=edit&amp;redlink=1" class="new mw-userlink" title="User:Toby (page does not exist)"><bdi>Toby</bdi></a>&lrm; (8×)]</span></td>

`

Inserting a space character before mw-changeslist-separator opening tag and after it's closing tag should take care of this

Event Timeline

Restricted Application added a project: Growth-Team. · View Herald TranscriptMay 9 2019, 3:46 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Where exactly to enable "Group changes by page"?

Excuse my typo, fixed in description:

kostajh moved this task from Inbox to Q2 2019-20 on the Growth-Team board.Jul 18 2019, 1:50 AM
kostajh added a subscriber: kostajh.

Tentatively moving to Q2.

Jdlrobson updated the task description. (Show Details)Jul 18 2019, 9:37 PM
Jdlrobson added a project: good first bug.
Ed claimed this task.Jul 30 2019, 5:53 PM

Change 526501 had a related patch set uploaded (by Ed; owner: Ed):
[mediawiki/core@master] Fix recent changes and watchlist separator whitespace

https://gerrit.wikimedia.org/r/526501

Change 526501 merged by jenkins-bot:
[mediawiki/core@master] Fix recent changes and watchlist separator whitespace

https://gerrit.wikimedia.org/r/526501

@matej_suchanek, would you be able to confirm this is fixed on https://en.wikipedia.beta.wmflabs.org/ ?

Yes, but I notice another excessive whitespace:

Jdlrobson added a project: patch-welcome.EditedAug 1 2019, 5:45 PM

I see this too. Guess this is not completely solved just yet!

<span class="mw-changeslist-links"><span>2 changes</span> <span>

^ space needs dropping there

<span class="mw-usertoollinks mw-changeslist-links"><span><a href="/wiki/User_talk:Selenium_user" class="mw-usertoollinks-talk" title="User talk:Selenium user">talk</a></span> <span><a href="/wiki/Special:Contributions/Selenium_user" class="mw-usertoollinks-contribs" title="Special:Contributions/Selenium user">contribs</a></span> <span><a href="/wiki/Special:Block/Selenium_user" class="mw-usertoollinks-block" title="Special:Block/Selenium user">block</a></span></span>

^ space needs dropping after contriibs</a>